# killall


in_script() {
	expected=$1
	command="$2"

	script=`mktemp -p /tmp`
	echo "$command" >> $script

	$SBOX_LOGIN /bin/sh $script
	retval=$?

	rm $script

	if [ $retval != $expected ]
	then
		exit 1
	fi
}

direct() {
	expected=$1
	command="$2"

	$SBOX_LOGIN "$command"
	retval=$?

	if [ $retval != $expected ]
	then
		exit 1
	fi

}

pidfile=`mktemp -p /tmp`
in_script 0 'sleep 1h & echo $!' > $pidfile
read pID < $pidfile

#Process is running
[ -d /proc/${pID} ] || exit 1

direct 0 'sbox-config --killall' || exit 1

#Process should now be gone
[ -d /proc/${pID} ] && exit 1

exit 0
