# return code

test() {
	expected=$1
	command="$2"

	script=`mktemp -p /tmp`
	echo "$command" >> $script

	$SBOX_LOGIN /bin/sh $script
	retval=$?

	rm $script

	if [ $retval != $expected ]
	then
		exit 1
	fi
}

test   0 'true'
test   1 'false'
test  10 'exit 10'
echo 'You should see an error about user defined signal thrown'
test 138 'kill -USR1 $$'

exit 0
