# target select

in_script() {
	expected=$1
	command="$2"

	script=`mktemp -p /tmp`
	echo "$command" >> $script

	$SBOX_LOGIN /bin/sh $script
	retval=$?

	rm $script

	if [ $retval != $expected ]
	then
		exit 1
	fi
}

direct() {
	expected=$1
	command="$2"

	$SBOX_LOGIN "$command"
	retval=$?

	if [ $retval != $expected ]
	then
		exit 1
	fi

}

in_script 0 'sbox-config -st HOST'
in_script 1 'sbox-config -st nonexistent'

direct 0 'sbox-config -st HOST'
direct 1 'sbox-config -st nonexistent'

exit 0
