# extract rootstrap

$SBOX_LOGIN test -d /targets/_test && exit 1
$SBOX_LOGIN sbox-config -ct _test -cn host-gcc -cm none -dk none || exit 1
$SBOX_LOGIN sbox-config -st _test || exit 1

tmp=`mktemp -d`

$SBOX_LOGIN sbox-config -er /scratchbox/packages/hello-world.tar.gz > $tmp/out 2> $tmp/err
error=$?

if `grep -q ^Error: $tmp/{out,err}`
then
	error=1
fi

rm -r $tmp

$SBOX_LOGIN sbox-config -st HOST || exit 1
$SBOX_LOGIN rm -r /targets/_test /targets/_test.config || exit 1

exit $error
